Bug 1299160 - [GSS](6.4.z) patch apply not java.io.IOException: No space left on device is not specific
[GSS](6.4.z) patch apply not java.io.IOException: No space left on device is ...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Patching (Show other bugs)
6.4.6
Unspecified Unspecified
unspecified Severity unspecified
: CR1
: EAP 6.4.11
Assigned To: Tomas Hofman
Jan Martiska
:
Depends On:
Blocks: eap6411-payload
  Show dependency treegraph
 
Reported: 2016-01-16 13:22 EST by Brad Maxwell
Modified: 2017-01-17 08:09 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-17 08:09:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBEAP-2881 Major Closed Applying patch - "no space available" not specific enough 2017-08-04 10:37 EDT
Red Hat Knowledge Base (Solution) 1136023 None None None 2016-01-16 13:22 EST

  None (edit)
Description Brad Maxwell 2016-01-16 13:22:49 EST
Patch apply can fail if there is not enough free space, however the message does not indicate what device does not have any free space.  Users assume there is not enough free space on the drive where the JBoss install they are applying the patch to, however it appears this may or may not be the case.

Patch apply uses tmp space and if there is not enough tmp space it will fail with this message as well.  The message should be more explicit as to where there is no space so that the user knows which drive to check.

[disconnected /] patch apply /path/to/jboss-eap-6.2.4-patch.zip
java.io.IOException: No space left on device
Comment 2 Tomas Hofman 2016-01-19 08:53:17 EST
PR: https://github.com/jbossas/jboss-eap/pull/2684
Comment 3 Tomas Hofman 2016-01-19 09:21:58 EST
Wrong branch.

New PR: https://github.com/jbossas/jboss-eap/pull/2685
Comment 4 JBoss JIRA Server 2016-01-25 10:02:09 EST
Tomas Hofman <thofman@redhat.com> updated the status of jira JBEAP-2881 to Coding In Progress
Comment 5 Mike McCune 2016-03-28 19:39:55 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 6 JBoss JIRA Server 2016-06-14 07:38:12 EDT
Jiri Pallich <jpallich@redhat.com> updated the status of jira JBEAP-2881 to Closed
Comment 7 Jiří Bílek 2016-09-27 11:46:29 EDT
Verified with EAP 6.4.11.CP.CR1
Comment 8 Petr Penicka 2017-01-17 08:09:40 EST
Retroactively bulk-closing issues from released EAP 6.4 cummulative patches.

Note You need to log in before you can comment on or make changes to this bug.